% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/spatial_prediction.R
\name{plot.RiskMap_pred_target_grid}
\alias{plot.RiskMap_pred_target_grid}
\title{Plot Method for RiskMap_pred_target_grid Objects}
\usage{
\method{plot}{RiskMap_pred_target_grid}(x, which_target = "linear_target", which_summary = "mean", ...)
}
\arguments{
\item{x}{An object of class 'RiskMap_pred_target_grid'.}

\item{which_target}{Character string specifying which target prediction to plot.}

\item{which_summary}{Character string specifying which summary statistic to plot (e.g., "mean", "sd").}

\item{...}{Additional arguments passed to the \code{\link[terra]{plot}} function of the \code{terra} package.}
}
\value{
A \code{ggplot} object representing the specified prediction target or summary statistic over the spatial grid.
}
\description{
Generates a plot of the predicted values or summaries over the regular spatial grid
from an object of class 'RiskMap_pred_target_grid'.
}
\details{
This function requires the 'terra' package for spatial data manipulation and plotting.
It plots the values or summaries over a regular spatial grid, allowing for visual examination of spatial patterns.
}
\seealso{
\code{\link{pred_target_grid}}
}
\author{
Emanuele Giorgi \email{e.giorgi@lancaster.ac.uk}

Claudio Fronterre \email{c.fronterr@lancaster.ac.uk}
}
